Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 189372 - Please rekeyword gnustep applications
Summary: Please rekeyword gnustep applications
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Highest enhancement (vote)
Assignee: Gnustep herd
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: 188185
  Show dependency tree
 
Reported: 2007-08-18 15:41 UTC by Fabian Groffen
Modified: 2007-10-03 14:19 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Groffen gentoo-dev 2007-08-18 15:41:15 UTC
Your keywords have been dropped for the below packages because of usage of new eclasses that we couldn't test for your arch.  Please rekeyword if interested.

alpha,ppc,ppc64,sparc:
  gnustep-base/gnustep-make-2.0.1

alpha,ppc,sparc:
  gnustep-base/gnustep-base-1.14.0

alpha,ppc,sparc:
  gnustep-base/gnustep-gui-0.12.0

alpha,ppc,sparc:
  gnustep-base/mknfonts-0.5-r1

ppc,sparc:
  gnustep-base/gnustep-back-xlib-0.12.0

ppc,sparc:
  gnustep-base/gnustep-back-art-0.12.0
Comment 1 Bernard Cafarelli gentoo-dev 2007-08-18 17:45:11 UTC
ppc and sparc, can you also keyword virtual/gnustep-back-0.12.0 ?

This is a new direct dependency pulled in by every gnustep ebuild using the new eclasses

Thanks
Comment 2 Bernard Cafarelli gentoo-dev 2007-08-20 07:56:18 UTC
Also for ppc and sparc, gnustep-env-1000 (dummy ebuild now just pulling a DEPEND on gnustep-make) will also need keywords for you
Comment 3 N. Dan Smith 2007-08-27 03:13:22 UTC
The following packages are TESTED on ~ppc:
  gnustep-base/gnustep-make-2.0.1
  gnustep-base/gnustep-base-1.14.0 (fails with USE="doc")
  gnustep-base/gnustep-gui-0.12.0
  gnustep-base/mknfonts-0.5-r1
  gnustep-base/gnustep-back-xlib-0.12.0
  gnustep-base/gnustep-back-art-0.12.0
  virtual/gnustep-back-0.12.0
  gnustep-base/gnustep-env-1000

* Emerge cleanly with various USE flags (I can create debug builds later if needed)
* No collisions
* Work (tested with etoile)

Portage 2.1.2.12 (default-linux/ppc/ppc32/2007.0/G4, gcc-4.1.2, glibc-2.5-r2, 2.6.21-gentoo-r3 ppc)
=================================================================
System uname: 2.6.21-gentoo-r3 ppc 7447A, altivec supported
Gentoo Base System release 2.0.0_alpha3
Timestamp of tree: Sun, 26 Aug 2007 04:30:11 +0000
app-shells/bash:     3.2_p15-r1
dev-java/java-config: 1.3.7, 2.0.31
dev-lang/python:     2.4.4-r4
dev-python/pycrypto: 2.0.1-r5
sys-apps/baselayout: 2.0.0_alpha3-r1
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="ppc"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -pipe"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c"
CXXFLAGS="-O2 -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks metadata-transfer sandbox sfperms strict test"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LINGUAS="en_US"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/gnustep"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl alsa altivec berkdb bitmap-fonts branding cdr cli cracklib crypt cups dri dvd flac fortran gdbm gnome gpm gtk iconv ipv6 isdnlog midi mozbranding mudflap ncurses nls nptl nptlonly ogg opengl openmp pcre perl png ppc pppd python readline reflection session spell spl ssl tcpd test theora truetype-fonts type1-fonts unicode vorbis xorg zlib" ALSA_CARDS="aoa aoa-fabric-layout aoa-onyx aoa-soundbus aoa-soundbus-i2s aoa-tas aoa-toonie powermac usb-audio via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Bernard Cafarelli gentoo-dev 2007-09-05 20:53:13 UTC
alpha, please also keyword gnustep-base/gnustep-back-art-0.12.0: you have 0.9.6-r1 (quite old) keyworded (see bug #139385).
Comment 5 Raúl Porcel (RETIRED) gentoo-dev 2007-09-06 15:33:12 UTC
~alpha done
Comment 6 Joe Jezak (RETIRED) gentoo-dev 2007-09-10 01:23:06 UTC
Marked ~ppc/~ppc64 as directed, thanks for testing Nathan!
Comment 7 Tiago Cunha (RETIRED) gentoo-dev 2007-09-30 13:05:41 UTC
gnustep-base/gnustep-base-1.14.0  USE="doc -debug -gcc-libffi"
gnustep-base/gnustep-env-1000
gnustep-base/gnustep-make-2.0.1  USE="doc -debug"
virtual/gnustep-back-0.12.0

1. Emerges on SPARC.
2. No collisions.
3. No test phase.

gnustep-base/gnustep-back-art-0.12.0  USE="doc opengl -debug -xim"
gnustep-base/gnustep-back-xlib-0.12.0  USE="doc opengl -debug -xim"
gnustep-base/gnustep-gui-0.12.0  USE="doc gif jpeg png -cups -debug"
gnustep-base/mknfonts-0.5-r1  USE="doc -debug"

1. Emerges on SPARC.
2. No collisions.
3. Test phase ok.

Tested with gnustep-apps/aclock-0.2.3, gnustep-apps/addresses-0.4.7 and gnustep-apps/affiche-0.6.0-r3.

With gnustep-base/gnustep-make-2.0.1 keyworded you can now also keyword x11-wm/windowmaker-0.92.0-r4:

x11-wm/windowmaker-0.92.0-r4  USE="doc gif gnustep jpeg png tiff -debug -modelock -nls -xinerama"

1. Emerges on SPARC.
2. No collisions.
3. Test phase ok.
4. Works.

Portage 2.1.3.9 (default-linux/sparc/sparc64/2007.0, gcc-4.1.2, glibc-2.5-r4, 2.6.22-gentoo-r5 sparc64)
=================================================================
System uname: 2.6.22-gentoo-r5 sparc64 sun4u
Timestamp of tree: Fri, 28 Sep 2007 14:50:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p17
dev-lang/python:     2.4.4-r5
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.9-r2
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.17-r1
sys-devel/gcc-config: 1.3.16
sys-devel/libtool:   1.5.24
virtual/os-headers:  2.6.21
ACCEPT_KEYWORDS="sparc"
CBUILD="sparc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=ultrasparc -pipe"
CHOST="sparc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/init.d /etc/pam.d /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -mcpu=ultrasparc -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="-k"
FEATURES="ccache collision-protect distlocks metadata-transfer parallel-fetch sandbox sfperms strict test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="ftp://mirrors1.netvisao.pt/gentoo http://darkstar.ist.utl.pt/pub/gentoo http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acl bash-completion bitmap-fonts branding bzip2 cli cracklib crypt dbus dri fortran gdbm gif gnome gtk hal iconv ipv6 isdnlog jpeg midi mudflap ncurses nptl nptlonly offensive opengl openmp pam pcre perl png postgres ppds pppd python readline reflection session sparc spl ssl svg tcpd test tiff truetype truetype-fonts type1-fonts xml xorg xv zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="sunffb"
Unset:  CTARGET, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 8 Raúl Porcel (RETIRED) gentoo-dev 2007-10-03 14:19:26 UTC
~sparc done, closing, thanks Tiago